    var edit_id = helper.request.queryString("edit_id");
	$(document).ready(function () {
            var wid = helper.request.queryString("wid");
            
			if (edit_id) {
				getCustomer(edit_id);
			}
                LAISHENG($("#laisheng"));//省  来电弹屏
                SHENGFEN($("#comsheng"));//投诉省
				CHOUSH($("#cisheng"));//抽检省
				CHOUDQ($("#chdaqu"));//投诉大区
				ZXWTLB($("#cateq"));// 建议及其他问题类别
				JISHENG($("#jiansheng"));// 建议及其他省
				
				//tree下拉框效果
				$(".inpBox .tree").click(function() {
					if($(this).parent().find(".addTree").is(":hidden")) {
						$(this).parent().find(".addTree").show();
					} else {
						$(this).parent().find(".addTree").hide();
					}
				});
				
				//普通下拉框效果
				$(".inpBox .select").click(function() {
					if($(this).parent().find(".xl_common").is(":hidden")) {
						$(this).parent().find(".xl_common").show();
					} else {
						$(this).parent().find(".xl_common").hide();
					}
				});
				$(".jieshow").click(function  () {
					if($(this).parent().find(".xl_common").is(":hidden")) {
						$(this).parent().find(".xl_common").show();
					} else {
						$(this).parent().find(".xl_common").hide();
					}
				})
				$(".xl").click(function() {
					if($(this).parent().find(".addTree").is(":hidden")) {
						$(this).parent().find(".addTree").show();
					} else {
						$(this).parent().find(".addTree").hide();
					}
					if($(this).parent().find(".xl_common").is(":hidden")) {
						$(this).parent().find(".xl_common").show();
					} else {
						$(this).parent().find(".xl_common").hide();
					}
				});
				
				// $(".inpBox").mouseleave(function() {
				// 	$(this).children(".addTree").hide();
				// 	$(this).children(".xl_common").hide();
				// });
				//清除
				$(".Cleans ").click(function () {
				    $('.inps').val("");
				    $("#PID").val("");
				    $("#Dpment").val("");
				})
				
				$(".xl_box").on("click", "li", function() {
					var obj = $(this).parent().parent().parent();
					obj.find("input").eq(0).val($(this).text());
					obj.find("input").eq(1).val($(this).attr("itemid"));
					obj.find(".xl_common").hide();
					getRY($(".clid"), $("#clbmname").val());
				});
				getBM($("#zrbmtree"));
					
				// $('#btn_cha').click(function(){
				// 	initTable();
				// })
				
        });
		
		//获取部门
		var setting = {
			data: {
				key: {
					name: "text"
				},
				simpleData: {
					enable: true,
					idKey: "id",
					pIdKey: "ParentId",
					rootPId: 0
				}
			},
			callback: {
				onClick: zTreeOnClick
			}
		};
		function darptSearch() {
			$('.xlAdd').css('display', 'none');
			$(".selDpart1").css('display', 'block');
			depart();
		}
		function getBM(obj) {
			$.getJSON(huayi.config.callcenter_url + 'Department/GetDeptList', {
				token: $.cookie("token"),
				keywords:$('.inps').val(),
			}, function(result) {
				if(result.state.toLowerCase() == "success") {
					// alert(111111);
					
					var treeObj = $.fn.zTree.init(obj, setting, result.data);
					treeObj.expandAll(false);
				}
			})
		}
		
		function zTreeOnClick(event, treeId, treeNode) {
			if(event) {
				event.stopPropagation();
			}
			var obj = $("#" + event.data.treeId).parent();
			obj.parent().find("input").eq(0).val(treeNode.text);
			obj.parent().find("input").eq(1).val(treeNode.id);
			obj.hide();
			getRY($(".clid"), $("#clbm").val());
			
		};
		$("#sponsor").on('click', 'li', function() {
			$(".selDpart1").css('display', 'none');
			$(".tree").val($(this).html());
			$("#Dpment").val($(this).attr("index"));
			$(".Cleans").show();
			getRY($(".clid"), $("#Dpment").val());
			
		})
		function depart() {
			$("#sponsor").empty();
			$.getJSON(huayi.config.callcenter_url + "Department/GetDeptList", {
			    "token": $.cookie("token"),
				F_DeptName: $('.inps').val(),
				keywords:$('.inps').val(),
			}, function(data) {
				if(data.state.toLowerCase() == "success") {
					var content = data.data;
					$(content).each(function(i, n) {
						$("<li index='" + n.id + "'>" + n.text + "</li>").appendTo("#sponsor");
					})
					getRY($(".clid"), $("#clbm").val());
				}
				
			})
		}
		
		//获取人员   getRY($(".clid"), $("#clbm").val());
		function getRY(obj, deptid) {
			var proid = helper.request.queryString("proid"); //项目id
			obj.empty();
//			obj.append('<li itemid="">--请选择--</li>');
			obj.parent().parent().find("input").eq(0).val("--请选择--");
			obj.parent().parent().find("input").eq(1).val("");
			$.getJSON(huayi.config.callcenter_url + 'UserAccount/GetDeptUserList', {
				proid: proid,
				deptid: deptid,
				token: $.cookie("token")
			}, function(result) {
				if(result.state.toLowerCase() == "success") {
					$(result.data).each(function(i, n) {
						obj.append('<li itemid="' + n.F_UserId + '">' + n.F_UserName + '(' + n.F_UserCode + ')</li>');
					});
					obj.find("li").click(function(event) {
						if(event) {
							event.stopPropagation();
						}
						$(this).parent().parent().parent().find("input").eq(0).val($(this).text());
						$(this).parent().parent().parent().find("input").eq(1).val($(this).attr("itemid"));
						$(this).parent().parent().hide();
					});
				}
			})
		}

// 来电弹屏省/市/区/县	
 function LAISHENG(obj) {
    		obj.empty();
    		obj.append('<option selected="selected" value="">请选择</option>');
    		$.getJSON(huayi.config.callcenter_url + "RegionCategory/GetAllList", {
    			"token": $.cookie("token"),
    			F_Layer: 1,
    		}, function (data) {
    			if (data.state.toLowerCase() == "success") {
    				var content = data.data;                 
    				$(content).each(function (i, n) {
    					$("<option value='" + n.F_RegionName + "'>" + n.F_RegionName + "</option>").appendTo(obj);                       
    				})
    			}
    		})
    	}
    //市
    function LAISHI(obj) {
    	obj.empty();
    	obj.append('<option selected="selected" value="">请选择</option>');
    	$.getJSON(huayi.config.callcenter_url + "RegionCategory/GetAllList", {
    		"token": $.cookie("token"),
    		F_Layer: 2,
    		F_RegionName:$('#laisheng').val()
    	}, function (data) {
    		if (data.state.toLowerCase() == "success") {
    			var content = data.data;
    			$(content).each(function (i, n) {
    				$("<option value='" + n.F_RegionName + "'>" + n.F_RegionName + "</option>").appendTo(obj);					
    			})
    		}
    		
    	})
    }
    //		区/县
    function LAIQU(obj) {
    	obj.empty();
    	obj.append('<option selected="selected" value="">请选择</option>');
    	$.getJSON(huayi.config.callcenter_url + "RegionCategory/GetAllList", {
    		"token": $.cookie("token"),
    		F_Layer: 3,
    		F_RegionName:$('#laishi').val()
    	}, function (data) {
    		if (data.state.toLowerCase() == "success") {
    			var content = data.data;
    			$(content).each(function (i, n) {
    				$("<option value='" + n.F_RegionName + "'>" + n.F_RegionName + "</option>").appendTo(obj);
    			})
    		}
    	})
    }
    		//  乡
    function LAIXIANG(obj) {
    	obj.empty();
    	obj.append('<option selected="selected" value="">请选择</option>');
    	$.getJSON(huayi.config.callcenter_url + "RegionCategory/GetAllList", {
    		"token": $.cookie("token"),
    		F_Layer: 4,
    		F_RegionName:$('#laiquxian').val()
    	}, function (data) {
    		if (data.state.toLowerCase() == "success") {
    			var content = data.data;
    			$(content).each(function (i, n) {
    				$("<option value='" + n.F_RegionName + "'>" + n.F_RegionName + "</option>").appendTo(obj);
    			})
    		}
    	})
    }
    
    $('#laisheng').on('change',function(){
    	 $.getJSON(huayi.config.callcenter_url + "RegionCategory/GetAllList", {
    	    "token": $.cookie("token"),
    	    F_Layer: 2,
    		F_RegionName:$('#laisheng').val(),
    		
    	}, function (data) {
    	    if (data.state.toLowerCase() == "success") {
    	        var content = data.data;
    	        $(content).each(function (i, n) {
    	            $("<option value='" + n.F_RegionName + "'>" + n.F_RegionName + "</option>").appendTo("#laishi");
    	        })
    	      LAISHI($("#laishi"));
    	    }
    	})
    });
    $('#laishi').on('change',function(){
           	 $.getJSON(huayi.config.callcenter_url + "RegionCategory/GetAllList", {
           	    "token": $.cookie("token"),
           	    F_Layer: 3,
           		F_RegionName:$('#laishi').val()			
           	}, function (data) {
           	    if (data.state.toLowerCase() == "success") {
           	        var content = data.data;
           	        $(content).each(function (i, n) {
           	            $("<option value='" + n.F_RegionName + "'>" + n.F_RegionName + "</option>").appendTo("#laiquxian");			
           	        })	
    				LAIQU($("#laiquxian"));
           	    }
           	})
    }); 
    $('#laiquxian').on('change',function(){
           $.getJSON(huayi.config.callcenter_url + "RegionCategory/GetAllList", {
                 	    "token": $.cookie("token"),
                 	    F_Layer: 4,
                 		F_RegionName:$('#laiquxian').val()
                 	}, function (data) {
                 	    if (data.state.toLowerCase() == "success") {
                 	        var content = data.data;
                 	        $(content).each(function (i, n) {
                 	            $("<option value='" + n.F_RegionName + "'>" + n.F_RegionName + "</option>").appendTo("#laixiang");
                 	        })
          				LAIXIANG($('#laixiang'));
                 	    }
                 	})
          }); 
	
	
//投诉省市县	
		// 咨询模块   省
    function SHENGFEN(obj) {
    		obj.empty();
    		obj.append('<option selected="selected" value="">请选择</option>');
    		$.getJSON(huayi.config.callcenter_url + "RegionCategory/GetAllList", {
    			"token": $.cookie("token"),
    			F_Layer: 1,
    		}, function (data) {
    			if (data.state.toLowerCase() == "success") {
    				var content = data.data;                 
    				$(content).each(function (i, n) {
    					$("<option value='" + n.F_RegionName + "'>" + n.F_RegionName + "</option>").appendTo(obj);                       
    				})
    			}
    		})
    	}
    //市
    function SHIFEN(obj) {
    	obj.empty();
    	obj.append('<option selected="selected" value="">请选择</option>');
    	$.getJSON(huayi.config.callcenter_url + "RegionCategory/GetAllList", {
    		"token": $.cookie("token"),
    		F_Layer: 2,
    		F_RegionName:$('#comsheng').val()
    	}, function (data) {
    		if (data.state.toLowerCase() == "success") {
    			var content = data.data;
    			$(content).each(function (i, n) {
    				$("<option value='" + n.F_RegionName + "'>" + n.F_RegionName + "</option>").appendTo(obj);					
    			})
    		}
    		
    	})
    }
    //		区/县
    function QXFEN(obj) {
    	obj.empty();
    	obj.append('<option selected="selected" value="">请选择</option>');
    	$.getJSON(huayi.config.callcenter_url + "RegionCategory/GetAllList", {
    		"token": $.cookie("token"),
    		F_Layer: 3,
    		F_RegionName:$('#comshi').val()
    	}, function (data) {
    		if (data.state.toLowerCase() == "success") {
    			var content = data.data;
    			$(content).each(function (i, n) {
    				$("<option value='" + n.F_RegionName + "'>" + n.F_RegionName + "</option>").appendTo(obj);
    			})
    		}
    	})
    }
    		//  乡
    function XXFEN(obj) {
    	obj.empty();
    	obj.append('<option selected="selected" value="">请选择</option>');
    	$.getJSON(huayi.config.callcenter_url + "RegionCategory/GetAllList", {
    		"token": $.cookie("token"),
    		F_Layer: 4,
    		F_RegionName:$('#comquxian').val()
    	}, function (data) {
    		if (data.state.toLowerCase() == "success") {
    			var content = data.data;
    			$(content).each(function (i, n) {
    				$("<option value='" + n.F_RegionName + "'>" + n.F_RegionName + "</option>").appendTo(obj);
    			})
    		}
    	})
    }
    
    $('#comsheng').on('change',function(){
    	 $.getJSON(huayi.config.callcenter_url + "RegionCategory/GetAllList", {
    	    "token": $.cookie("token"),
    	    F_Layer: 2,
    		F_RegionName:$('#comsheng').val(),
    		
    	}, function (data) {
    	    if (data.state.toLowerCase() == "success") {
    	        var content = data.data;
    	        $(content).each(function (i, n) {
    	            $("<option value='" + n.F_RegionName + "'>" + n.F_RegionName + "</option>").appendTo("#comshi");
    	        })
    	      SHIFEN($("#comshi"));
    	    }
    	})
    });
    $('#comshi').on('change',function(){
           	 $.getJSON(huayi.config.callcenter_url + "RegionCategory/GetAllList", {
           	    "token": $.cookie("token"),
           	    F_Layer: 3,
           		F_RegionName:$('#comshi').val()			
           	}, function (data) {
           	    if (data.state.toLowerCase() == "success") {
           	        var content = data.data;
           	        $(content).each(function (i, n) {
           	            $("<option value='" + n.F_RegionName + "'>" + n.F_RegionName + "</option>").appendTo("#comquxian");			
           	        })	
    				QXFEN($("#comquxian"));
           	    }
           	})
    }); 
    $('#comquxian').on('change',function(){
           	 $.getJSON(huayi.config.callcenter_url + "RegionCategory/GetAllList", {
           	    "token": $.cookie("token"),
           	    F_Layer: 4,
           		F_RegionName:$('#comquxian').val()
           	}, function (data) {
           	    if (data.state.toLowerCase() == "success") {
           	        var content = data.data;
           	        $(content).each(function (i, n) {
           	            $("<option value='" + n.F_RegionName + "'>" + n.F_RegionName + "</option>").appendTo("#xiang");
           	        })
    				XXFEN($('#comxiang'));
           	    }
           	})
    }); 

//抽检省市县	
		// 咨询模块   省
    function CHOUSH(obj) {
    		obj.empty();
    		obj.append('<option selected="selected" value="">请选择</option>');
    		$.getJSON(huayi.config.callcenter_url + "RegionCategory/GetAllList", {
    			"token": $.cookie("token"),
    			F_Layer: 1,
    		}, function (data) {
    			if (data.state.toLowerCase() == "success") {
    				var content = data.data;                 
    				$(content).each(function (i, n) {
    					$("<option value='" + n.F_RegionName + "'>" + n.F_RegionName + "</option>").appendTo(obj);                       
    				})
    			}
    		})
    	}
    //市
    function CHOUSHI(obj) {
    	obj.empty();
    	obj.append('<option selected="selected" value="">请选择</option>');
    	$.getJSON(huayi.config.callcenter_url + "RegionCategory/GetAllList", {
    		"token": $.cookie("token"),
    		F_Layer: 2,
    		F_RegionName:$('#cisheng').val(),
    	}, function (data) {
    		if (data.state.toLowerCase() == "success") {
    			var content = data.data;
    			$(content).each(function (i, n) {
    				$("<option value='" + n.F_RegionName + "'>" + n.F_RegionName + "</option>").appendTo(obj);					
    			})
    		}
    		
    	})
    }
    //		区/县
    function CHOUQU(obj) {
    	obj.empty();
    	obj.append('<option selected="selected" value="">请选择</option>');
    	$.getJSON(huayi.config.callcenter_url + "RegionCategory/GetAllList", {
    		"token": $.cookie("token"),
    		F_Layer: 3,
    		F_RegionName:$('#cishi').val()
    	}, function (data) {
    		if (data.state.toLowerCase() == "success") {
    			var content = data.data;
    			$(content).each(function (i, n) {
    				$("<option value='" + n.F_RegionName + "'>" + n.F_RegionName + "</option>").appendTo(obj);
    			})
    		}
    	})
    }
    		//  乡
    function CHOUXIANG(obj) {
    	obj.empty();
    	obj.append('<option selected="selected" value="">请选择</option>');
    	$.getJSON(huayi.config.callcenter_url + "RegionCategory/GetAllList", {
    		"token": $.cookie("token"),
    		F_Layer: 4,
    		F_RegionName:$('#ciquxian').val()
    	}, function (data) {
    		if (data.state.toLowerCase() == "success") {
    			var content = data.data;
    			$(content).each(function (i, n) {
    				$("<option value='" + n.F_RegionName + "'>" + n.F_RegionName + "</option>").appendTo(obj);
    			})
    		}
    	})
    }
    
    $('#cisheng').on('change',function(){
    	 $.getJSON(huayi.config.callcenter_url + "RegionCategory/GetAllList", {
    	    "token": $.cookie("token"),
    	    F_Layer: 2,
    		F_RegionName:$('#cisheng').val(),
    		
    	}, function (data) {
    	    if (data.state.toLowerCase() == "success") {
    	        var content = data.data;
    	        $(content).each(function (i, n) {
    	            $("<option value='" + n.F_RegionName + "'>" + n.F_RegionName + "</option>").appendTo("#cishi");
    	        })
    	      CHOUSHI($("#cishi"));
    	    }
    	})
    });
    $('#cishi').on('change',function(){
           	 $.getJSON(huayi.config.callcenter_url + "RegionCategory/GetAllList", {
           	    "token": $.cookie("token"),
           	    F_Layer: 3,
           		F_RegionName:$('#cishi').val()			
           	}, function (data) {
           	    if (data.state.toLowerCase() == "success") {
           	        var content = data.data;
           	        $(content).each(function (i, n) {
           	            $("<option value='" + n.F_RegionName + "'>" + n.F_RegionName + "</option>").appendTo("#ciquxian");			
           	        })	
    				CHOUQU($("#ciquxian"));
           	    }
           	})
    }); 
    $('#ciquxian').on('change',function(){
           	 $.getJSON(huayi.config.callcenter_url + "RegionCategory/GetAllList", {
           	    "token": $.cookie("token"),
           	    F_Layer: 4,
           		F_RegionName:$('#ciquxian').val()
           	}, function (data) {
           	    if (data.state.toLowerCase() == "success") {
           	        var content = data.data;
           	        $(content).each(function (i, n) {
           	            $("<option value='" + n.F_RegionName + "'>" + n.F_RegionName + "</option>").appendTo("#cixiang");
           	        })
    				CHOUXIANG($('#cixiang'));
           	    }
           	})
    }); 

//建议及其他省市区县
 function JISHENG(obj) {
    		obj.empty();
    		obj.append('<option selected="selected" value="">请选择</option>');
    		$.getJSON(huayi.config.callcenter_url + "RegionCategory/GetAllList", {
    			"token": $.cookie("token"),
    			F_Layer: 1,
    		}, function (data) {
    			if (data.state.toLowerCase() == "success") {
    				var content = data.data;                 
    				$(content).each(function (i, n) {
    					$("<option value='" + n.F_RegionName + "'>" + n.F_RegionName + "</option>").appendTo(obj);                       
    				})
    			}
    		})
    	}
    //市
    function JISHI(obj) {
    	obj.empty();
    	obj.append('<option selected="selected" value="">请选择</option>');
    	$.getJSON(huayi.config.callcenter_url + "RegionCategory/GetAllList", {
    		"token": $.cookie("token"),
    		F_Layer: 2,
    		F_RegionName:$('#jiansheng').val()
    	}, function (data) {
    		if (data.state.toLowerCase() == "success") {
    			var content = data.data;
    			$(content).each(function (i, n) {
    				$("<option value='" + n.F_RegionName + "'>" + n.F_RegionName + "</option>").appendTo(obj);					
    			})
    		}
    		
    	})
    }
    //		区/县
    function JIQUXIAN(obj) {
    	obj.empty();
    	obj.append('<option selected="selected" value="">请选择</option>');
    	$.getJSON(huayi.config.callcenter_url + "RegionCategory/GetAllList", {
    		"token": $.cookie("token"),
    		F_Layer: 3,
    		F_RegionName:$('#jianshi').val()
    	}, function (data) {
    		if (data.state.toLowerCase() == "success") {
    			var content = data.data;
    			$(content).each(function (i, n) {
    				$("<option value='" + n.F_RegionName + "'>" + n.F_RegionName + "</option>").appendTo(obj);
    			})
    		}
    	})
    }
    		//  乡
    function JIXIANG(obj) {
    	obj.empty();
    	obj.append('<option selected="selected" value="">请选择</option>');
    	$.getJSON(huayi.config.callcenter_url + "RegionCategory/GetAllList", {
    		"token": $.cookie("token"),
    		F_Layer: 4,
    		F_RegionName:$('#jianquxian').val()
    	}, function (data) {
    		if (data.state.toLowerCase() == "success") {
    			var content = data.data;
    			$(content).each(function (i, n) {
    				$("<option value='" + n.F_RegionName + "'>" + n.F_RegionName + "</option>").appendTo(obj);
    			})
    		}
    	})
    }
    
    $('#jiansheng').on('change',function(){
    	 $.getJSON(huayi.config.callcenter_url + "RegionCategory/GetAllList", {
    	    "token": $.cookie("token"),
    	    F_Layer: 2,
    		F_RegionName:$('#jiansheng').val(),
    		
    	}, function (data) {
    	    if (data.state.toLowerCase() == "success") {
    	        var content = data.data;
    	        $(content).each(function (i, n) {
    	            $("<option value='" + n.F_RegionName + "'>" + n.F_RegionName + "</option>").appendTo("#jianshi");
    	        })
    	      JISHI($("#jianshi"));
    	    }
    	})
    });
    $('#jianshi').on('change',function(){
           	 $.getJSON(huayi.config.callcenter_url + "RegionCategory/GetAllList", {
           	    "token": $.cookie("token"),
           	    F_Layer: 3,
           		F_RegionName:$('#jianshi').val()			
           	}, function (data) {
           	    if (data.state.toLowerCase() == "success") {
           	        var content = data.data;
           	        $(content).each(function (i, n) {
           	            $("<option value='" + n.F_RegionName + "'>" + n.F_RegionName + "</option>").appendTo("#jianquxian");			
           	        })	
    				JIQUXIAN($("#jianquxian"));
           	    }
           	})
    }); 
    $('#jianquxian').on('change',function(){
           $.getJSON(huayi.config.callcenter_url + "RegionCategory/GetAllList", {
                 	    "token": $.cookie("token"),
                 	    F_Layer: 4,
                 		F_RegionName:$('#jianquxian').val()
                 	}, function (data) {
                 	    if (data.state.toLowerCase() == "success") {
                 	        var content = data.data;
                 	        $(content).each(function (i, n) {
                 	            $("<option value='" + n.F_RegionName + "'>" + n.F_RegionName + "</option>").appendTo("#jianxiang");
                 	        })
          				JIXIANG($('#jianxiang'));
                 	    }
                 	})
          }); 




function CHOUDQ(obj) {
		    obj.empty();
		    obj.append('<option selected="selected" value="">请选择</option>');
		    $.getJSON(huayi.config.callcenter_url + "Department/GetList", {
		        "token": $.cookie("token"),
		        F_Layer: 1,
		    }, function (data) {
		        if (data.state.toLowerCase() == "success") {
		            var content = data.data;
		            $(content).each(function (i, n) {
		                $("<option value='" + n.F_DeptId + "'>" + n.F_DeptName + "</option>").appendTo(obj);
		            })
		        }
		    })
		}
	function CHOUFEN(obj) {
				obj.empty();
				obj.append('<option selected="selected" value="">请选择</option>');
				$.getJSON(huayi.config.callcenter_url + "Department/GetList", {
					"token": $.cookie("token"),
					F_Layer:2,
					F_DeptName:$("#chdaqu").find("option:selected").text(),
				}, function (data) {
					if (data.state.toLowerCase() == "success") {
						var content = data.data;
						$(content).each(function (i, n) {
							$("<option value='" + n.F_DeptId + "'>" + n.F_DeptName + "</option>").appendTo(obj);
						})
					}
				})
			}

$('#chdaqu').on('change',function(){
 	 $.getJSON(huayi.config.callcenter_url + "Department/GetList", {
 	    "token": $.cookie("token"),
 	    F_Layer: 2,
 		F_DeptName:$("#chdaqu").find("option:selected").text(),
 		
 	}, function (data) {
 	    if (data.state.toLowerCase() == "success") {
 	        var content = data.data;
 
 	        $(content).each(function (i, n) {
 	            $("<option value='" + n.F_DeptId + "'>" + n.F_DeptName + "</option>").appendTo("#chfen");
 	        })
 	   CHOUFEN($('#chfen'));
 	    }
 	})
 });
 
 


// 建议及其他问题类别
function ZXWTLB(obj) {
		    obj.empty();
		    obj.append('<option selected="selected" value="">请选择</option>');
		    $.getJSON(huayi.config.callcenter_url + "WorkOrder/GetQuestionNameType", {
		        "token": $.cookie("token"),
		        type:3,
		    }, function (data) {
		        if (data.state.toLowerCase() == "success") {
		            var content = data.data;
		            $(content).each(function (i, n) {
		                $("<option value='" + n.id + "'>" + n.text + "</option>").appendTo(obj);
		            })
		        }
		    })
		}
	
//选择显示隐藏部分
$("#channel").change(function(){
	if($("#channel").find("option:selected").text()=="总经销"){
		$("#gioncti").show();
		$("#chan").show();
	}else{
		$("#chan").hide();
		$("#gioncti").hide();
	}
	
})
$("#channel").change(function(){
	if($("#channel").find("option:selected").text()=="二级商"){
		$("#secondary").show()
	}else{
		$("#secondary").hide()
	}
	
})
$("#channel").change(function(){
	if($("#channel").find("option:selected").text()=="种田大户"){
		$("#large_farm").show()
	}else{
		$("#large_farm").hide()
	}
	
})
//选择未完结显示隐藏的内容
$('#finish').find('input[type="radio"]').on('change', function() {
			if($(this).val() === "未完结") { //业务办理
				$('#ensconce').show();
				$("#save_vsv").show();
				$("#save_ssss").hide();
				$("#save_order").hide();
			}else{
				$('#ensconce').hide();
				$("#save_vsv").hide();
				$("#save_ssss").show();
				$("#save_order").hide();
			}
		});
//选择不指派隐藏内容 直接创建
$('#designate').find('input[type="radio"]').on('change', function() {
			if($(this).val() === "不指派") { //业务办理
				$("#appoint").hide();
				$("#save_vsv").hide();
				$("#save_order").show();
			}else{
				$("#appoint").show();
				$("#save_vsv").show();
				$("#save_order").hide();
				
			}
		});




$('#number').blur(function () {
		
	
	//根据客户编码获取信息
		$.getJSON(huayi.config.callcenter_url + "CustomerNew/GetCodeCustomer", {
			// id: ids, //id
			code:$('#number').val(),
			token: $.cookie("token")
		}, function(data) {
			if (data.state.toLowerCase() == "success") {
				data = data.data;
				if (data) {	
					$('#salesman').val(data.F_Salesman);
					$('#telephone').val(data.F_SalesPhone);
					// $('#chdaqu').text(data.F_AreaName);
					$("#chdaqu  option:selected").text(data.F_AreaName);
					$("#chfen  option:selected").text(data.F_BranchName);
					// $('#chfen').text(data.F_BranchName);
					$('#manage').val(data.F_Brands);
				}else{
					$('#salesman').val('');
					$('#telephone').val('');
					$('#chdaqu').find("option:selected").attr("selected", false);
					// $("#chdaqu").val('');
					$("#chfen").val('');
					$('#manage').val('');
				}
			}
			// alert(111111111111111);
		});
	
});

$('#Code').blur(function () {
   //          alert($(this).val());
			// $('#material').show();
								
	//根据物料编码获取信息

		$.getJSON(huayi.config.callcenter_url + "MaterialManage/GetCodeModel", {
			// id: ids, //id
			code:$('#Code').val(),
			token: $.cookie("token")
		}, function(data) {
			if (data.state.toLowerCase() == "success") {
				data = data.data;
				if (data) {	
					$("#material_name").val(data.model.F_MaterialName);//物料名称
					$("#model_number").val(data.model.F_Model),//型号
					$("#specifications").val(data.model.F_Specs);//规格
					$("#category1").val(data.model.F_Level1);//一级分类
					$("#category2").val(data.model.F_Level2);//二级分类
					$("#category3").val(data.model.F_Level3);//三级分类
					$('#brand_name').val(data.model.F_Brand);//品牌
					$('#efficiency').val(data.model.F_MaterialEffect); //复合肥肥效
					$('#product_line').val(data.model.F_Pipeline); //产品线tensions
					$("#process").val(data.model.F_Craft);//工艺
					$("#enter_formula").val(data.model.F_Craft);//工艺
				}else{
					$("#material_name").val('');//物料名称
					$("#model_number").val(''),//型号
					$("#specifications").val('');//规格
					$("#category1").val('');//一级分类
					$("#category2").val('');//二级分类
					$("#category3").val('');//三级分类
					$('#brand_name').val('');//品牌
					$('#efficiency').val(''); //复合肥肥效
					$('#product_line').val(''); //产品线tensions
					$("#process").val('');//工艺
					$("#enter_formula").val('');//工艺
				}
			}
			// alert(111111111111111);
		});
	
});












